CREATE PROCEDURE CovidAnketOlusturSubeli
@SUBEID AS INTEGER
AS
DECLARE
  @ANKETDETAYID AS INT

IF @SUBEID IS NULL 
BEGIN
	RAISERROR ('SUBE NUMARASI GIRMELISINIZ',10,1)
	RETURN 0
END

IF NOT EXISTS (SELECT * FROM [dbo].[TANKET] where ANKETID=-1*@SUBEID )
INSERT [dbo].[TANKET] ([ANKETID], [TANIMI], [AKTIF], [KYUSER], [KYTARIH], [CEVAP1], [CEVAP2], [CEVAP3], [CEVAP4], [CEVAP5], [CEVAP5D], [ANKETOR], [SUBEID], [HASTAANKETI], [PERSONELANKETI]) VALUES (-1*@SUBEID, N'AYAKTAN HASTA COVID-19 VAKA SORGULAMA', 1, N'S', CAST(N'2020-06-16T13:47:53.000' AS DateTime), N'Evet', N'Hayır', NULL, NULL, NULL, NULL, N'Hastane', @SUBEID, 1, 0)


IF NOT EXISTS (SELECT * FROM [dbo].[TANKETDETAY] where ANKETID=-1*@SUBEID AND SORU=N'Ateşiniz veya ateş öykünüz var mı?')
BEGIN
 EXEC SAYACOKU 'TANKETDETAY',@ANKETDETAYID OUTPUT
 INSERT [dbo].[TANKETDETAY] (ANKETDETAYID,[ANKETID], [USTSIRA], [ALTSIRA], [SORU]) VALUES ( @ANKETDETAYID,-1*@SUBEID, 1, 1, N'Ateşiniz veya ateş öykünüz var mı?')
END

IF NOT EXISTS (SELECT * FROM [dbo].[TANKETDETAY] where ANKETID=-1*@SUBEID AND SORU=N'Öksürüğünüz var mı?')
BEGIN
 EXEC SAYACOKU 'TANKETDETAY',@ANKETDETAYID OUTPUT
 INSERT [dbo].[TANKETDETAY] (ANKETDETAYID,[ANKETID], [USTSIRA], [ALTSIRA], [SORU]) VALUES (@ANKETDETAYID, -1*@SUBEID, 1, 1, N'Öksürüğünüz var mı?')
END


IF NOT EXISTS (SELECT * FROM [dbo].[TANKETDETAY] where ANKETID=-1*@SUBEID AND SORU=N'Nefes almakta güçlük veya solunum sıkıntınız var mı?')
BEGIN
	EXEC SAYACOKU 'TANKETDETAY',@ANKETDETAYID OUTPUT
	INSERT [dbo].[TANKETDETAY] (ANKETDETAYID,[ANKETID], [USTSIRA], [ALTSIRA], [SORU]) VALUES ( @ANKETDETAYID,-1*@SUBEID, 1, 1, N'Nefes almakta güçlük veya solunum sıkıntınız var mı?')
END


IF NOT EXISTS (SELECT * FROM [dbo].[TANKETDETAY] where ANKETID=-1*@SUBEID AND SORU=N'Son 14 gün içerisinde yurt dışında bulundunuz mu?')
BEGIN
	EXEC SAYACOKU 'TANKETDETAY',@ANKETDETAYID OUTPUT
	INSERT [dbo].[TANKETDETAY] (ANKETDETAYID,[ANKETID], [USTSIRA], [ALTSIRA], [SORU]) VALUES (@ANKETDETAYID, -1*@SUBEID, 2, 2, N'Son 14 gün içerisinde yurt dışında bulundunuz mu?')
END


IF NOT EXISTS (SELECT * FROM [dbo].[TANKETDETAY] where ANKETID=-1*@SUBEID AND SORU=N'Son 14 gün içerisinde ev halkından birisi yurt dışından geldi mi?')
BEGIN
	EXEC SAYACOKU 'TANKETDETAY',@ANKETDETAYID OUTPUT
	INSERT [dbo].[TANKETDETAY] (ANKETDETAYID,[ANKETID], [USTSIRA], [ALTSIRA], [SORU]) VALUES (@ANKETDETAYID, -1*@SUBEID, 2, 2, N'Son 14 gün içerisinde ev halkından birisi yurt dışından geldi mi?')
END

IF NOT EXISTS (SELECT * FROM [dbo].[TANKETDETAY] where ANKETID=-1*@SUBEID AND SORU=N'Son 14 gün içerisinde yakınlarınızdan herhangi birisi solunum yolu hastalığı nedeni ile hastaneye yattı mı?')
BEGIN
	EXEC SAYACOKU 'TANKETDETAY',@ANKETDETAYID OUTPUT
	INSERT [dbo].[TANKETDETAY] (ANKETDETAYID,[ANKETID], [USTSIRA], [ALTSIRA], [SORU]) VALUES (@ANKETDETAYID, -1*@SUBEID, 2, 2, N'Son 14 gün içerisinde yakınlarınızdan herhangi birisi solunum yolu hastalığı nedeni ile hastaneye yattı mı?')
END

IF NOT EXISTS (SELECT * FROM [dbo].[TANKETDETAY] where ANKETID=-1*@SUBEID AND SORU=N'Son 14 gün içerisinde yakınlarınızdan COVID-19 hastalığı tanısı olan birisi oldu mu?')
BEGIN
	EXEC SAYACOKU 'TANKETDETAY',@ANKETDETAYID OUTPUT
	INSERT [dbo].[TANKETDETAY] (ANKETDETAYID,[ANKETID], [USTSIRA], [ALTSIRA], [SORU]) VALUES (@ANKETDETAYID, -1*@SUBEID, 2, 2, N'Son 14 gün içerisinde yakınlarınızdan COVID-19 hastalığı tanısı olan birisi oldu mu?')
END